OpenVDB 7.0.0

Public Types | Public Member Functions | List of all members
SharedOpApplier< IterT, OpT > Class Template Reference

`#include <ValueTransformer.h>`

## Public Types
using | IterRange = typename tree::IteratorRange< IterT >

## Public Member Functions
| SharedOpApplier (const IterT &iter, OpT &op)
void | process (bool threaded=true)
void | operator() (IterRange &r) const

## Member Typedef Documentation

## ◆ IterRange

using IterRange = typename tree::IteratorRange<IterT>

## Constructor & Destructor Documentation

## ◆ SharedOpApplier()

SharedOpApplier | ( | const IterT & | iter,
|  | OpT & | op
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | IterRange & | r | ) | const
| inline

## ◆ process()

void process | ( | bool | threaded = `true` | ) |
| inline

The documentation for this class was generated from the following file:

- ValueTransformer.h